/*
 * Copyright (c) 2010 RWTH Aachen University
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include "tun_dev.h"
#include <string.h>

int main () {
	
	printf("Opening TAP Device\n");

	char devname[30];
	
	strcpy (devname,"tap0");

	int fd = tap_open((char*)&devname);
	if (fd!=-1) {
		
		printf("dev.name: %s\n",(char*)&devname);
	} else {
		printf("Error! %i\n",fd);
		return fd;	
	}
	
	char buffer[1600];
	
	while (1) {
		
	
	int foo =  tap_read(fd,buffer,1599);
		
		printf("packet: %s\n, length: %i\n",buffer,foo);
		
		
	}
	
	return 0;	
}

